# encoding: utf-8
# Copyright 2012, Opscode, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require File.expand_path('../support/helpers', __FILE__)

describe 'postfix::default' do
  include Helpers::Postfix

  it 'installs the postfix package' do
    package('postfix').must_be_installed
  end

  it 'enables the postfix service' do
    service('postfix').must_be_enabled
  end

  it 'starts the postfix service' do
    service('postfix').must_be_running
  end

  it 'configures postfix main.cf' do
    file("#{node['postfix']['conf_dir']}/main.cf").must_match(/^# Generated by Chef for /)
  end

end
